# Created by pyp2rpm-3.3.2

%global pypi_name notify2

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 12
Summary:        Python interface to DBus notifications
Group:          Development/Python
License:        BSD
URL:            https://bitbucket.org/takluyver/pynotify2
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         python-notify2-docs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
This is a pure-python replacement for notify-python, using python-dbus
to communicate with the notifications server directly.

It's compatible with Python 2 and 3, and its callbacks can work with
Gtk or Qt applications.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
# Requires aren't properly stated for dbus-python, so they aren't generated properly
Requires:       python3-dbus

%description -n python3-%{pypi_name}
This is a pure-python replacement for notify-python, using python-dbus
to communicate with the notifications server directly.

It's compatible with Python 2 and 3, and its callbacks can work with
Gtk or Qt applications.

%package -n python-%{pypi_name}-doc
Summary:        notify2 documentation

%description -n python-%{pypi_name}-doc
Documentation for notify2.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license docs/license.rst LICENSE

%files -n python-%{pypi_name}-doc
%doc html
%license docs/license.rst LICENSE



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.1-12.mga10
+ Revision: 2242265
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.3.1-11.mga10
+ Revision: 2159824
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 0.3.1-10.mga10
+ Revision: 2150033
- fix for doc build with sphinx 8.1

* Mon Jan 29 2024 papoteur <papoteur> 0.3.1-9.mga10
+ Revision: 2035882
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.3.1-8.mga9
+ Revision: 1832818
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.3.1-7.mga9
+ Revision: 1782975
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.1-6.mga9
+ Revision: 1732365
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.1-5.mga8
+ Revision: 1535858
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.3.1-4.mga8
+ Revision: 1452778
- rebuild with python 3.8

* Fri Apr 26 2019 ngompa <ngompa> 0.3.1-3.mga7
+ Revision: 1395537
- Adapt for Mageia
- imported package python-notify2


* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 16 2018 Neal Gompa <ngompa13@gmail.com> - 0.3.1-1
- Initial packaging for Fedora (#1659833)
